# Banana Buchhaltung (free)
# 2016-2018 foo.li systeme + software

$packageName      = 'banana-buchhaltung'
$packageSearch    = 'Banana Buchhaltung*'
$version          = '9.0.2'
$instversion      = '9.0.2.0'
$fileType         = 'exe'
$url              = 'https://www.banana.ch/accounting/files/banana9/exe/banana9-setup-x86.exe'
$url64		  	  = 'https://www.banana.ch/accounting/files/banana9/exe/banana9-setup-x64.exe'
$silentArgs       = '/SILENT'
$validExitCodes   = @(0,3010)
$checksum         = '81F2C079D5E6CBDF76FE78E4FAF7AA0A10B209EC'
$checksum64	  	  = '1E0696400ABF12A1A1D637A6B67A927202FDC168'
$checksumType     = 'sha1'
$checksumType64	  = $checksumType

try {
    Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
                                -checksum $checksum -checksumType $checksumType `
                                -checksum64 $checksum64 -checksumType64 $checksumType64 `
    Remove-Item -Path "${env:public}\Desktop\Banana Buchhaltung 9.0.lnk" -ErrorAction SilentlyContinue
    Remove-Item -Path "${env:allusersprofile}\Microsoft\Windows\Start Menu\Programs\Banana Buchhaltung 9.0\Banana Buchhaltung 9.0 im Internet.url"  -ErrorAction SilentlyContinue
} catch {
    throw $_.Exception
}
